uniform float visibility;
varying vec3 MCposition;

// gives a float [0.0, 256.0)
float hashme(float x, float y, float z) {
  // those are the millionth and two millionth primes, yay no more weird patterns
  return mod((x+y+z)*32452843.0+15485867.0, 256.0) / 256.0;
}

void main()
{    
  if (hashme(MCposition.x, MCposition.y, MCposition.z) > visibility) {
    discard;
  }
  
	gl_FragColor = gl_Color;
}

